package cn.pluss.platform.ali;

import java.util.Map;

/**
 * 阿里原生支付的一些回调逻辑
 * @author DJH
 */
public interface AliPayNotifyService {

    /**
     * 通用回调处理方法
     * @param param 回调参数
     */
    void commonPayNotify(Map<String, Object> param);

    /**
     * 设备购买回调处理方法
     * @param param 回调参数
     */
    void devicePayNotify(Map<String, Object> param);

    /**
     * 推广升级回调处理方法
     * @param param 回调参数
     */
    void spreadUpgradePayNotify(Map<String, Object> param);
}
